.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How I Send to Back the Hatch

1 REPLY 1
Reply
Message 1 of 2
Anonymous
492 Views, 1 Reply

How I Send to Back the Hatch

After making the hatch I want to change the draw order of the hatch and set it to "Send To Back"
Can anyone help me to send the hatch object behind all the objects
Thanks for ur support
1 REPLY 1
Message 2 of 2
Anonymous
in reply to: Anonymous

Hi.

I have make the same job with "DIMENSION" you can try to use this code with
same modification

At this moment is BETA version.



CIAO

GPAOLO





'SELECT ALL DIMENSION AND SEND THEY TO BACK

Dim filList(0) As AcDb.TypedValue

ReDim Preserve filList(1)

filList(0) = New AcDb.TypedValue(AcDb.DxfCode.Start, "Dimension")

Dim arrayId() As AcDb.ObjectId

arrayId = HmDotNet.HmTool.HmSelByMask(filList) 'MY FUNCTION TO select

If arrayId Is Nothing Then Exit Sub

Dim Ed As AcEd.Editor = HmDotNet.HmTool.Editor

Dim db As AcDb.Database = HmDotNet.HmTool.Database

Dim tm As DBTransMan = HmDotNet.HmTool.TransactionManager

Dim myT As AcDb.Transaction = tm.StartTransaction

Try

Dim objcol As New AcDb.ObjectIdCollection

For Each objID As AcDb.ObjectId In arrayId

objcol.Add(objID)

Next

Dim bt As AcDb.BlockTable = myT.GetObject(db.BlockTableId,
AcDb.OpenMode.ForRead, False)

Dim btr As AcDb.BlockTableRecord =
myT.GetObject(bt(AcDb.BlockTableRecord.ModelSpace), _

AcDb.OpenMode.ForWrite, False, True)

Dim a As AcDb.DrawOrderTable

a = CType(myT.GetObject(btr.DrawOrderTableId, AcDb.OpenMode.ForWrite, False,
True), AcDb.DrawOrderTable)

a.MoveToBottom(objcol) ' THIS IS THE INSTRUCTION THAT YOU NEED.

myT.Commit()

Catch ex As Exception

myT.Abort()

Ed.WriteMessage("GPAOLO che fo =" & ex.Message)

MessageBox.Show("GPAOLO che fo =" & ex.Message)

Finally

myT.Dispose()

End Try

ha scritto nel messaggio
news:5725541@discussion.autodesk.com...
After making the hatch I want to change the draw order of the hatch and set
it to "Send To Back"
Can anyone help me to send the hatch object behind all the objects
Thanks for ur support

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


Autodesk Design & Make Report